
Infrastructure - Task #3488

Story # 3474 (Rejected): Maintain consistency across CN hazelcast backing datastores

Create custom merge policy to support managing data/information inconsistency

2013-01-16 18:57 - Skye Roseboom

Status: New Start date: 2013-01-16

Priority: Normal Due date:  

Assignee: Chris Jones % Done: 0%

Category: Metacat Estimated time: 0.00 hour

Target version: 2014.12-Block.2.2   

Milestone: CCI-1.1.1 Story Points:  

Product Version: *   

Description

The current merge policy in our Hazelcast clusters will add all entries to the cluster that creates a superset of entries found across

members.  This may cause conflicts, especially when the same object has different content (like a system metadata record with

differing replica entries and statuses).  Create a new merge policy class that compares content for entries in hzSystemMetadata, and

re-sync entries across nodes, prioritizing entries where the dateSysMetadataModified date is the newest and serialVersion is the

highest.

Possible extension of existing merge policy which currently ensure the number of records in each backing datastore in the cluster is

consistent.  Extend to ensure the information contained in each datastore is consistent.

History

#1 - 2013-01-16 18:58 - Skye Roseboom

- Description updated

#2 - 2013-01-16 19:01 - Skye Roseboom

- Target version set to 2013.4-Block.1.2

#3 - 2013-01-16 19:03 - Skye Roseboom

- Assignee set to Chris Jones

Assigning to Chris Jones temporarily for assignment to a 'metacat' developer when task is started.  Task likely needs further analysis/design/review

for final implementation strategy.

#4 - 2013-03-01 19:19 - Robert Waltz

- Target version changed from 2013.4-Block.1.2 to 2013.10-Block.2.1

#5 - 2013-05-31 16:01 - Chris Jones

- Target version changed from 2013.10-Block.2.1 to 2013.22-Block.3.3

#6 - 2013-08-02 17:32 - Chris Jones

- Target version changed from 2013.22-Block.3.3 to 2013.35-Block.5.1

#7 - 2014-01-06 18:09 - Chris Jones

- Target version changed from 2013.35-Block.5.1 to 2014.2-Block.1.1

#8 - 2014-03-14 17:27 - Chris Jones

- Target version changed from 2014.2-Block.1.1 to 2014.12-Block.2.2
